$ set noverify
$!==============================================================================
$! Author: Anselm Hofer
$!
$! Commandoprozedur fuer das Compilieren und Linken des kompletten MUTRACK-
$! Quelltextes. Aufzurufen mittels '$ LINKMUV'. ('V' steht fuer 'Vollstaendig').
$!==============================================================================
$ set noon
$!==============================================================================
$ prog= "mutrack"
$ ext = "_MU"
$!==============================================================================
$ sourceDir =  "''prog'$SOURCEdirectory"
$ objectDir =  "''prog'$OBJdirectory"
$ executeDir = "''prog'$EXEdirectory"
$!==============================================================================
$ options  = "/fast /nolist"
$! options = "/fast /nolist /warn=nogeneral"
$!==============================================================================
$ archi = F$GETSYI("ARCH_NAME")    ! Host OS either "VAX" or "Alpha"
$ ext = "''ext'_''archi'"
$ if archi .EQS. "VAX" then options = ""
$ if P1 .NES. "" then options = "''options' ''P1'"
$
$ file = "MUTRACK"
$ CALL compile
$ file = "SUB_ARTLIST
$ CALL compile
$ file = "SUB_INTEGR_L1
$ CALL compile
$ file = "SUB_INTEGR_SP
$ CALL compile
$ file = "SUB_INTEGR_L2andFo
$ CALL compile
$ file = "SUB_INTEGR_FO
$ CALL compile
$ file = "SUB_INTEGR_L3
$ CALL compile
$ file = "SUB_INTEGR_M2
$ CALL compile
$ file = "SUB_INPUT
$ CALL compile
$ file = "SUB_PICTURE
$ CALL compile
$ file = "SUB_OUTPUT
$ CALL compile
$ file = "SUB_TRIGGER
$ CALL compile
$ file = "SUB_ELOSS"
$ CALL compile
$!==============================================================================
$ set verify
$ purge 'objectDir':*.OBJ
$ link -
	'objectDir':MUTRACK'ext', -
	'objectDir':SUB_ARTLIST'ext', - 
	'objectDir':SUB_INTEGR_L1'ext', -
	'objectDir':SUB_INTEGR_SP'ext', -
	'objectDir':SUB_INTEGR_L2andFo'ext', -
	'objectDir':SUB_INTEGR_FO'ext', -
	'objectDir':SUB_INTEGR_L3'ext', -
	'objectDir':SUB_INTEGR_M2'ext', -
	'objectDir':SUB_INPUT'ext', -
	'objectDir':SUB_PICTURE'ext', -
	'objectDir':SUB_OUTPUT'ext',- 
	'objectDir':SUB_TRIGGER'ext', -
	'objectDir':SUB_ELOSS'ext', -
	'cernlibs' /exe='executeDir':MUTRACK_'archi'
$ purge 'executeDir':*.EXE
$ set on
$ set noverify
$ EXIT
$
$!==============================================================================
$
$ COMPILE: SUBROUTINE
$ comp = "fortran ''sourceDir':''file' ''options' /object=''objectDir':''file'''ext'"
$ write sys$output "=============================================================================="
$ write sys$output "''COMP'"
$ comp
$ ENDSUBROUTINE
$!==============================================================================
