
c===============================================================================
c                          MAP_DEF_L1.INC
c===============================================================================

c in diesem File sind die notwendigen Groessen und Speicher fuer die Integration
c der Teilchenbahnen im Bereich der Linse 1 mittels des Programms 'MUTRACK'
c niedergelegt:

c general items:
c (also known in some other parts of the program via include file
c 'COM_KAMMER.INC')

	real Beschl_Faktor
	COMMON /Beschl_Faktor_L1/ Beschl_Faktor

	character*40 MappenName
	real dl_max		! naeherungsweise Obergrenze fuer die einzelnen
				! Schrittlaengen:
	real xCenterOfLense
	real xEnterMap
	real xLeaveMap

	COMMON /integration_L1/ MappenName,dl_max,xCenterOfLense,xEnterMap,xLeaveMap

	real DistanceCyl
	real iRadiusCyl
	real LengthOuterCyl
	real oRadiusOuterCyl
	real LengthInnerCyl
	real oRadiusInnerCyl
	real RadiusVacTube

	COMMON /integration_L1/ DistanceCyl,iRadiusCyl
	COMMON /integration_L1/ LengthOuterCyl,oRadiusOuterCyl
	COMMON /integration_L1/ LengthInnerCyl,oRadiusInnerCyl
	COMMON /integration_L1/ RadiusVacTube


c the grid characteristics:

	real Dx,Dr
	integer imax,jmax
	real xmax,rmax

	COMMON /integration_L1/ Dx,Dr,imax,jmax,xmax,rmax


c the map:

        integer maxmem
        parameter (maxmem = 13133)
        real    map(0:maxmem)

        COMMON /integration_L1/ map

