
c===============================================================================
c                          MAP_DEF_L2andFo.INC
c===============================================================================

c in diesem File sind die notwendigen Groessen und Speicher fuer die Integration
c der Teilchenbahnen im Bereich der Linse 2 bis zur Folie des Triggerdetektors
c mittels des Programms 'MUTRACK' niedergelegt:

c general items:
c (also known in some other parts of the program via include file
c 'COM_KAMMER.INC')

	real Beschl_Faktor
	COMMON /Beschl_Faktor/ Beschl_Faktor

	character*40 MappenName
	real dl_max		! naeherungsweise Obergrenze fuer die einzelnen
				! Schrittlaengen:
	real xCenterOfLense
	real xEnterMap
	real xLeaveMap,xEndLense

	COMMON /integration_L2andFo/ MappenName,dl_max,
     +				     xCenterOfLense,xEndLense,xEnterMap,xLeaveMap

	real DistanceCyl
	real iRadiusCyl
	real LengthOuterCyl
	real oRadiusOuterCyl
	real LengthInnerCyl
	real oRadiusInnerCyl
	real RadiusVacTube

	COMMON /integration_L2andFo/ DistanceCyl,iRadiusCyl
	COMMON /integration_L2andFo/ LengthOuterCyl,oRadiusOuterCyl
	COMMON /integration_L2andFo/ LengthInnerCyl,oRadiusInnerCyl
	COMMON /integration_L2andFo/ RadiusVacTube


c the grid characteristics:

	real Dx,Dr
	integer imax,jmax
	real xmax,rmax

	COMMON /integration_L2andFo/ Dx,Dr,imax,jmax,xmax,rmax


c der Uebergabebereich am MappenEnde:

	real xStartUeber
	real xEndUeber

	COMMON /integration_L2andFo/ xStartUeber,xEndUeber


c the map:

        integer maxmem
	parameter (maxmem = 26143)
        real    map(0:maxmem)

        COMMON /integration_L2andFo/ map


